Acquiring PDFs

Downloading

Once a job's PDF has finished generating, its response payload upon listing / retrieving the job will contain a pdf_url with an s3 presigned GET URL. The PDF can be downloaded from this link.

The file name of the downloaded PDF can be controlled by the pdf_file_name field passed in the initial POST request body, e.g.

{
  "pdf_file_name": "John Doe PDF",
  ... // other job-specific fields
}

Expiry

By default PDFs expire after 24 hours and need to be recreated via another job.

If you intend to use the same PDF many times, you can request for permanent storage by passing "is_permanent": True in the pdf_config of the create payload.

The pdf_url will still expire after 24 hours, but can refreshed by re-retrieving the report job. Simply listing the report job will not refresh the pdf_url.